Subject: Re: [Roll] FW: Resolving #59: Request for clarification: Transitinformation option

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 23 Jul 2010 11:19:17 +0200

Erratum:

- text on lifetime is added for issue #67

Sorry,

Pascal

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Pascal Thubert (pthubert)
> Sent: Friday, July 23, 2010 11:16 AM
> To: [email-masked]
> Subject: [Roll] FW: Resolving #59: Request for clarification: Transitinformation
> option
> 
> 
> Dear WG
> 
> 
> The following text is proposed to clarify RPL for issue 59:
> 
> - ECMP is added for issue #60 by pairing path control bits.
> - Some text on path sequence is added for issue #55
> - text on lifetime is added for issue #56
> 
> "If a node sends a DAO message to one DAO parent, it MUST send a
>             DAO with the same Sequence to all other DAO parents."
> 
> Was at the wrong place. It goes away but is replaced elsewhere with this
> 
> "Path Sequence:  This sequence counter is present in
>             the Transit Information option in a DAO message. The purpose of
>             this counter is to differentiate a movement where a newer route
>             supersedes a stale one from a route redundancy scenario where
>             multiple routes exist in parallel for a same target. The Path
>             Sequence is globally significant in a DODAG and indicates the
>             freshness of the route to the associated target. An older (lesser)
>             value received from an originating router indicates that the
>             originating router holds stale routing states and the originating
>             router should not be considered anymore as a potential next-hop
>             for the target. The Path Sequence is computed by the node that
>             advertises the target, that is the target itself or a router that
>             advertises a target on behalf of a host, and is unchanged as the
>             DAO content is propagated towards the root by parent routers. If a
>             host does not pass a counter to its router, then the router is in
>             charge of computing the Path Sequence on behalf of the host and
>             the host can only register to one router for that purpose. If a
>             DAO message containing a same target is issued to multiple parents
>             at a given point of time for the purpose of route redundancy, then
>             the Path Sequence is the same in all the DAO messages for that
>             same target."
> 
> Also
> 
>           "For a Target that is associated with (owned by) a node, that node
>           MAY increment the Path Sequence counter, and generate a new DAO
>           message, on occasion in order to refresh the downward routing
>           information. In storing mode, the node generates such DAO to each of
>           its DAO parents in order to enable multipath.
>           All DAOs generated at the same time for a same target MUST be sent
>           with the same path sequence in the transit information."
> 
> Text on path sequence and DAO sequence is revisited.
> 
> The path control text is slightly incremented:
> 
>        " When a node sends a DAO to one of its DAO parents, it MUST select
>        one or more of the set, active bits in the aggregated Path
>        Control field.  The DAO it transmits to its parent MUST have
>        these active bits set and all other active bits cleared."
> 
> Becomes
> 
>            "When a node sends a DAO message to one of its DAO parents, it
>             MUST select one or more of the bits that are set active in the
> aggregated
>             Path Control field to advertise to a that parent. A given bit can
>             only be presented as active to one parent. The DAO message it
>             transmits to its parent MUST have these active bits set and all
>             other active bits cleared."
> 
> If you have an issue with this resolution please chime in : )
> 
> Pascal
> 
> 
> > -----Original Message-----
> > From: roll issue tracker [mailto:[email-masked]]
> > Sent: Tuesday, July 13, 2010 1:22 PM
> > To: Pascal Thubert (pthubert); [email-masked]
> > Cc: [email-masked]
> > Subject: [roll] #59: Request for clarification: Transit information
> > option
> >
> > #59: Request for clarification: Transit information option
> > -----------------------------+----------------------------------------
> > -----------------------------+--
> > -----------------------------+----
> >  Reporter:  jpv@…            |       Owner:  pthubert@…
> >      Type:  enhancement      |      Status:  new
> >  Priority:  major            |   Milestone:
> > Component:  rpl              |     Version:
> >  Severity:  In WG Last Call  |    Keywords:
> > -----------------------------+----------------------------------------
> > -----------------------------+--
> > -----------------------------+----
> >  Email from Mathilde On July 9:
> >
> >  From: [email-masked] [mailto:[email-masked]] On Behalf
> > Of Mathilde Durvy (mdurvy)
> >  Sent: vendredi, 9. juillet 2010 15:17
> >  To: Pascal Thubert (pthubert); ROLL WG
> >  Subject: Re: [Roll] FW: Transit information option
> >
> >  Hi Pascal,
> >
> >  Thanks again for your reply. What you say makes sense although I
> > still  think that the separation of the fields between the target and
> > transit  options is somewhat arbitrary J However this is not a major
> > issue and  maybe at this point it’s more important to clarify the
> > specs with respect  to the meaning / usage of the path sequence, control, and
> lifetime.
> >  - In storing mode, the path control is used to limit the DAO fan-out.
> > It  can also be used to set a preference between routes with the
> > limitation  that it cannot specify two routes which are equally
> > preferred (since path  control bits sent to different parents have to be
> disjoint).
> >  - It seems to me that the path control usage is incompatible with the
> > sentence “If a node sends a DAO to one DAO parent, it MUST send a DAO
> > with  the same DAOSequence to all other DAO parents”. No?
> >  - In the non storing mode, the path control is not used to limit the
> > DAO  fan-out as nodes send DAOs to only one of their DAO parents. I
> > guess it  can be used as a preference by the root when it computes the source
> routes.
> >  - How is the path sequence processed? Given that we have already a
> > DAO sequence is it possible to receive a stale path sequence? Isn’t it
> redundant?
> >  - What does the lifetime represent concretely? Is it a measure of the
> > lifetime of the link between the target and the transit?
> >
> >  It’s a lot of questions, but I hope it will help make the DAO part
> > clearer  to everybody!
> >
> >  Best,
> >  Mathilde
> >
> > --
> > Ticket URL: <https://svn.tools.ietf.org/wg/roll/trac/ticket/59>
> > roll <http://tools.ietf.org/wg/roll/>
> 
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll